/*-
 * ============LICENSE_START=======================================================
 * SDC
 * ================================================================================
 * Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ============LICENSE_END=========================================================
 */
package org.openecomp.sdc.be.components.distribution.engine;

public interface IResourceArtifactInfo extends IArtifactInfo {

    /**
     * resource name
     */
    String getResourceName();

    /**
     * resource version
     */
    String getResourceVersion();

    /**
     * Global UUID of the resource that specific artifact belongs to.<br>
     * It is generated by ASDC per each resource version.<br>
     * Generated UUID is compliant with RFC 4122. It is a 128-bit value formatted into blocks of hexadecimal digits separated by a hyphen ("-"). <br>
     * Ex.: AA97B177-9383-4934-8543-0F91A7A02836
     */
    String getResourceUUID();
}
